package com.example.springdemo.service;

import com.example.springdemo.dao.IndentRepository;
import com.example.springdemo.entities.Indent;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class IndentServiceImpl implements IndentService{
    @Resource
    private IndentRepository indentRepository;

    @Override
    public Indent addIndent(Indent indent) {
        return indentRepository.save(indent);
    }

    @Override
    public void deleteIndentById(Long id) {
        indentRepository.deleteById(id);
    }

    @Override
    public Indent updateIndent(Indent indent) {
        return indentRepository.save(indent);
    }

    @Override
    public Iterable<Indent> findAllIndents() {
        return indentRepository.findAll();
    }
}
